/* gnome wrapper around poolview
   $Id: gnome-poolview.h,v 1.2 1999/12/13 18:51:09 0rfelyus Exp $

   Copyright (C) 1999 Radek Doulik <rodo@pha.eridan.cz>

   This file is part of gmap.

   gmap is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   gmap is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with gmap; see the file COPYING.   If not, write to
   the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA. */

#ifndef __GNOME_POOL_VIEW_H__
#define __GNOME_POOL_VIEW_H__

#include "poolview.h"

typedef struct _GnomePoolView   GnomePoolView;

struct _GnomePoolView
{
	GtkWidget  *widget;
	GtkWidget  *topwindow;

	PoolViewGL *gl_view;
};

GnomePoolView * gnome_pool_view_new (GnomePoolView *to_clone);

void gnome_pool_view_save (GnomePoolView *pool, GtkWidget *, gchar *prefix);
void gnome_pool_view_load (GnomePoolView *pool, GtkWidget *, gchar *prefix);

#endif
