; -*- Scheme -*-


(pool-rules "Test pool ]["
	'number-of-balls 2
	'number-of-players  2
	'help-file "game_intro.html"	
	'event-mask '(ball-pocketed)

		; There is no reason why to not say it :)
	'safe-to-undo #t

	'score '((counter	"Points"))

	'options
	  '((group #f ; no label
	       (yes/no	"Boolean option" #f)
	       (integer "Integer option" 10 0 100))
	    (group "Second group"
	       (one-of 1 ; default is second option - we count from zero
		       "First option"
		       "Second option"
		       "Last option")))

	'table-setup
	  (lambda args
	    (table-new table/pockets/8ft)
	    (ball-set-skin 0 "white ball" 'white-ball  'pocket-billiard-ball)
	    (ball-set-skin 1 "red ball" 'red-ball 'pocket-billiard-ball))

	'new-game	      
	  (lambda args
		  ; set position of ball 0
	    (place-ball 0 (vector (in 30) (in 40)))
	    (place-ball 1 (vector (in 40) (in 55)))
	    (place-cue 0 #(180 0)))

	 'end-of-shot
	   (lambda (last-state game-state balls-out)
	     (for-each ball-in-hand balls-out))

	'event-handler
	  (lambda (event-type info1 info2 state game-state)
	    (DebugDisplayEvent event-type info1 info2 state game-state)
	    (case event-type
	      ((ball-pocketed)
	       (cond
		((eq? info1 0)
		 (game-faul)
		 (game-ball-out 0))
		(else
		 (game-reward)
		 (game-add-point))))
	      (else
	       ; ....
	       #t
	       ))))