; -*- Scheme -*-

(define nob 1)
;(define nob 3)


(define ppp  (cm  50))
(define nnn  (cm -50))
(define ppp2 (cm  100))
(define nnn2 (cm -100))

; (define holes 0)
; (define holes 2)
(define holes 6)


(pool-rules "Test pool rules"
	'number-of-balls nob
	'number-of-players '(1 2)
	'help-file "game_intro.html"	
	'event-mask '(cue-ball-collision ball-ball-collision)

		;; Test games are always safe to undo
	'safe-to-undo #t

	'score
	  '((counter	"Blah"))

	'options
	  '((group "Just one small option"
		   (yes/no "To be or not to be" #t)))

	'table-setup
	  (lambda (tbontb)
	    (begin-table 4 (+ holes 1)
	      (vertex (vector ppp ppp2))
	      (vertex (vector nnn ppp2))
	      (vertex (vector nnn nnn2))
	      (vertex (vector ppp nnn2))


;	       (vertex (vector    0 100))
;	       (vertex (vector  100   0))
;	       (vertex (vector   0 -100))
;	       (vertex (vector -100   0))

	      (mark-point  #(0 -50) (cm 1))
	      (mark-line   (vector nnn 60) (vector ppp 60))

	      (pocket #(30 -30) 10)
	      (cond 
	       ((eqv? holes 2)
		(pocket  #(30 30) 10)
		(pocket  #(-30 -30) 10))
	       ((eqv? holes 6)
		(pocket   (vector ppp ppp2) 10)
		(pocket   (vector ppp nnn2) 10)
		(pocket   (vector nnn nnn2) 10)
		(pocket   (vector nnn ppp2) 10)
		(pocket   (vector nnn   0)  10)
		(pocket   (vector ppp   0)  10)))))

	'new-game	      
	  (lambda (tbontb)
		  ; set position of ball 0
	    (place-ball 0 #(0 4))   	

	    (if (> nob 1)
		(place-ball 1 #(40 6)))

	    (if (> nob 2)
		(place-ball 2 #(0 20)))

		  ; set cue pointing to first ball 
	    (place-cue 0 #(180 0))

	    (message "Good luck!"))

	'event-handler
	  (lambda haha #t)

	'queries
	  `((pocket
	      "Silly pocket"
	      "Select second silly pocket, please"
		; always ask
	      #t
		; all holes are OK
	    ,(lambda (round player-id game-state pocket-id)
	       (if (eq? pocket-id 1)
		   #t
		   "This is not second silly pocket")))
	    (ball
	      "Silly ball"
		; prompt
	      "Select silly ball, please"
		; when to ask?
	      ,(lambda (round player-id game-state)
		 (DebugDisplay "Should I querry (player-id " round ")?")
		 (eqv? 0 (modulo round 2)))
		; validate function - returns:
		;	error string
		;       otherwise - success
	      ,(lambda (round player-id game-state ball-id)
		 (DebugDisplay "Validate querry [" round ", " ball-id "]")
		 (if (eq? id 1)
		     "You can not select ball 1 as the silly ball"
		     #t)))))