/* widget/dialog for cue x ball positioning
   $Id: gnome-ball.h,v 1.3 2000/02/25 16:33:22 rodo Exp $

   Copyright (C) 1999 Radek Doulik <rodo@pha.eridan.cz>

   This file is part of gmap.

   gmap is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   gmap is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with gmap; see the file COPYING.   If not, write to
   the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA. */

#ifndef __GNOME_BALL_H__
#define __GNOME_BALL_H__

#include <gtk/gtk.h>

typedef struct _GnomeBall GnomeBall;

struct _GnomeBall {
	GtkWidget * frame;
	GtkWidget * pixmap;
	GtkWidget * ebox;

	GdkPixmap * point_bg;

	gint x;
	gint y;

	gint pressed;
};

GnomeBall * gnome_ball_new  (GtkWidget *);

#endif
