/* player
   $Id: player.h,v 1.3 2000/02/23 16:33:32 rodo Exp $

   Copyright (C) 1999 Daniel Skarda <0rfelyus@suse.cz>
   Copyright (C) 1999 Radek Doulik <rodo@suse.cz>

   This file is part of gmap.

   gmap is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   gmap is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with gmap; see the file COPYING.   If not, write to
   the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA. */

#ifndef __PLAYER_H__
#define __PLAYER_H__

typedef struct _Player Player;

#include "score.h"

struct _Player
{
	Game  *  game;
	gchar *  name;
	Score ** score;
};

Player * player_new (gchar *n, Game *g);

#endif
