#ifndef __RENDER_H__
#define __RENDER_H__

#define INCLUDE_RENDER_DEFS


/*
 *
 *		Level of Detail
 */


#define RENDER_MAX_LOD		6

		/* List ID */

typedef int	LID;
typedef LID	LOD_array [RENDER_MAX_LOD];

void		LOD_array_init (LOD_array array);
void		LOD_array_GL_free (LOD_array array);

/*
 *
 *		Rendering various primitives
 */

#define RENDER_QUADRIC_NO_NORMALS	0
#define RENDER_QUADRIC_WITH_NORMALS	1


extern dbl render_up_vector [];

void	render_disk (PoolViewGL *);

void*	render_tesselator_init (void);
void	render_tesselator_finish (void *);

void*   render_quadric_init (int quality);
void    render_quadric_finish (void *);

#endif
