#ifndef __VARIANT_H__
#define __VARIANT_H__

typedef struct _Variant Variant;

typedef enum
{
  Variant_YesNo,
  Variant_OneOf,
  Variant_Integer,
  Variant_Group
} VariantType;

struct _Variant
{
  VariantType	 type;
  char		*name;

  GList		*data;
  int		 lo, value, up;
  int		 tmp_value;
};

	/* scheme side of game variants */

GList* variant_scm2vlist (SCM , SCM*);
SCM    variant_vlistval2scm (GList *);

	/* GUI side of variants */

void   variant_dialog_new (Game *game, int change_only);

#endif
